//#include "bussim_event.h"
#include "bussim_global.h"
#include <iostream>
#include <fstream>
#include <stdio.h>

BUSSIM_EVENT::BUSSIM_EVENT()
{
    // this is the standard constructor
    this->timestamp = -1;
    this->type = BUSSIM_NO_EVENT;
    sprintf(this->desc,"undefined");
    this->previous = nullptr;
    this->next = nullptr;
}

BUSSIM_EVENT::BUSSIM_EVENT(double _TIMESTAMP, int _TYPE, char* _DESC)
{
    // this is the standard constructor
    this->timestamp = _TIMESTAMP;
    this->type = _TYPE;
    sprintf(this->desc,"%s", _DESC);
    this->previous = nullptr;
    this->next = nullptr;
}

void BUSSIM_EVENT::PRINT_ON_SCREEN(void)
{
    std::cout << this->timestamp << "\t" << this->type << "\t" << this->desc << "\t" << std::endl;
}

void BUSSIM_EVENT::PRINT_ON_SCREEN(std::fstream *FILEH)
{
    *FILEH << this->timestamp << "\t" << this->type << "\t" << this->desc << "\t" << std::endl;
}

BUSSIM_EVENT::~BUSSIM_EVENT()
{
    // this is the standard deconstructor
}
