#ifndef BUSSIM_TOI_H_INCLUDED
#define BUSSIM_TOI_H_INCLUDED

#include <iostream>
#include <stdio.h>

struct BUSSIM_TOI_POINT {
        double longitude;
        double latitude;
        double world_x;
        double world_y;
        double screen_x;
        double screen_y;
        struct BUSSIM_TOI_POINT *next;
        };

class BUSSIM_TOI {
public:
    char title[256];
    double width;
    int type;

    struct BUSSIM_TOI_POINT *PT;

    BUSSIM_TOI();
    ~BUSSIM_TOI();
    void add_coordinate_longlat(double _long, double _lat);
    void calculate_screen_coordinates(class BUSSIM_NETWORK *_NET, double _xmin, double _xmax, double _ymin, double _ymax);
    void draw(void);
};

#endif // BUSSIM_TOI_H_INCLUDED
